## org.apache.mahout.clustering.kernel
Class TriangularKernelProfile

    java.lang.Object
      org.apache.mahout.clustering.kernel.TriangularKernelProfile

All Implemented Interfaces:
  IKernelProfile

    public class TriangularKernelProfile

extends Object
implements IKernelProfile

Constructor Summary
`TriangularKernelProfile()`

Method Summary
`double` `calculateDerivativeValue(double distance, double h)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TriangularKernelProfile

    public TriangularKernelProfile()

Method Detail

### calculateDerivativeValue

    public double calculateDerivativeValue(double distance,
                                           double h)

  Specified by:
    `calculateDerivativeValue` in interface `IKernelProfile`
  Returns:
    the calculated dervative value of the kernel

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.